import request from '@/utils/request'

// 查询所有计量单位
export function listAllUnit() {
  return request({
    url: '/admin/medical/unit/listAll',
    method: 'get'
  })
}

// 分页查询计量单位列表
export function listUnit(query) {
  return request({
    url: '/admin/medical/unit/page',
    method: 'get',
    params: query
  })
}

// 根据单位类型查询计量单位
export function listUnitByType(unitType) {
  return request({
    url: '/admin/medical/unit/listByType',
    method: 'get',
    params: { unitType }
  })
}

// 查询计量单位详细
export function getUnit(unitId) {
  return request({
    url: '/admin/medical/unit/' + unitId,
    method: 'get'
  })
}

// 新增计量单位
export function addUnit(data) {
  return request({
    url: '/admin/medical/unit/add',
    method: 'post',
    data: data
  })
}

// 修改计量单位
export function updateUnit(data) {
  return request({
    url: '/admin/medical/unit/update',
    method: 'put',
    data: data
  })
}

// 删除计量单位
export function delUnit(unitId) {
  return request({
    url: '/admin/medical/unit/' + unitId,
    method: 'delete'
  })
}
